package cn.hmsoft.frame.data.model;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.frame.constants.FrameSeqName;
import cn.hmsoft.jdbc.entity.Table;

/**********************************************
* 系统表-操作员登录日志
* @author: zxq
* @date: 2018-07-17 16:05:33
* @version: 5.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "FRAME_OPTR_LOGIN", keyColumn =  "LOGIN_ID" , sequenceName = FrameSeqName.FrameOptrLoginId)
public class FrameOptrLogin implements Serializable{
	private static final long serialVersionUID = -4839828242415668982L;
	//登录编号 
	private Integer login_id;
	//操作员编号
	private Integer optr_id;
	//操作员名称
	private String login_name;
	//登录时间
	private LocalDateTime login_time;
	//浏览器类型
	private String browser_type;
	//浏览器版本
	private String browser_version;
	//操作系统平台
	private String platform_type;
	//操作系统类型
	private String platform_series;
	//操作系统版本
	private String platform_version;
	//登录地址
	private String login_addr;

	/****
	 * 登录编号 
	 */
	public Integer getLogin_id() {
		return this.login_id;
	}

	/****
	 * 登录编号 
	 */
	public void setLogin_id(Integer login_id) {
		this.login_id = login_id;
	}

	/****
	 * 操作员编号
	 */
	public Integer getOptr_id() {
		return this.optr_id;
	}

	/****
	 * 操作员编号
	 */
	public void setOptr_id(Integer optr_id) {
		this.optr_id = optr_id;
	}

	/****
	 * 操作员名称
	 */
	public String getLogin_name() {
		return this.login_name;
	}

	/****
	 * 操作员名称
	 */
	public void setLogin_name(String login_name) {
		this.login_name = login_name;
	}

	/****
	 * 登录时间
	 */
	public LocalDateTime getLogin_time() {
		return this.login_time;
	}

	/****
	 * 登录时间
	 */
	public void setLogin_time(LocalDateTime login_time) {
		this.login_time = login_time;
	}

	/****
	 * 浏览器类型
	 */
	public String getBrowser_type() {
		return this.browser_type;
	}

	/****
	 * 浏览器类型
	 */
	public void setBrowser_type(String browser_type) {
		this.browser_type = browser_type;
	}

	/****
	 * 浏览器版本
	 */
	public String getBrowser_version() {
		return this.browser_version;
	}

	/****
	 * 浏览器版本
	 */
	public void setBrowser_version(String browser_version) {
		this.browser_version = browser_version;
	}

	/****
	 * 操作系统平台
	 */
	public String getPlatform_type() {
		return this.platform_type;
	}

	/****
	 * 操作系统平台
	 */
	public void setPlatform_type(String platform_type) {
		this.platform_type = platform_type;
	}

	/****
	 * 操作系统类型
	 */
	public String getPlatform_series() {
		return this.platform_series;
	}

	/****
	 * 操作系统类型
	 */
	public void setPlatform_series(String platform_series) {
		this.platform_series = platform_series;
	}

	/****
	 * 操作系统版本
	 */
	public String getPlatform_version() {
		return this.platform_version;
	}

	/****
	 * 操作系统版本
	 */
	public void setPlatform_version(String platform_version) {
		this.platform_version = platform_version;
	}

	/****
	 * 登录地址
	 */
	public String getLogin_addr() {
		return this.login_addr;
	}

	/****
	 * 登录地址
	 */
	public void setLogin_addr(String login_addr) {
		this.login_addr = login_addr;
	}


}